Create¶
POST /api/v1/workspace/create
Overview¶
Body Request Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| isOpenCustomMappingRule | boolean | Whether to enable custom mapping rules Example: 0 Allow Null: False |
|
| maxSearchResultCount | integer | Maximum number of search results Example: 0 Allow Null: False |
|
| name | string | Y | Name Example: supper_workspace Allow Null: False Maximum length: 256 |
| desc | string | Description Example: Workspace description Allow Null: True Allow Empty String: True |
|
| brandKey | string | Brand key Example: guance Allow Null: False |
|
| esIndexMerged | boolean | Whether to merge indices, defaults to true Example: False Allow Null: False |
|
| leftWildcard | boolean | Whether to enable left * matching, defaults to false, i.e., disabledExample: False Allow Null: False |
|
| isOpenLogMultipleIndex | boolean | Whether to enable log multi-index configuration, defaults to true, i.e., disabled state Example: False Allow Null: False |
|
| logMultipleIndexCount | int | Limit for the number of log multi-indices after log multi-index configuration is enabled; workspace-level Example: 3 Allow Null: False |
|
| loggingCutSize | int | Cutting unit for oversized logs; bytes are used for transmission Example: False Allow Null: False |
|
| storageTypeUUID | string | UUID corresponding to the non-primary storage type Example: uuid_xxxxxxxx Allow Null: True |
|
| durationSet | object | Data retention duration information |
|
| durationSet.rp | string | Duration of the Time Series RP Example: 30d Allow Null: False |
|
| durationSet.logging | string | Duration of the Logging RP Example: 14d Allow Null: False |
|
| durationSet.backup_log | string | Duration of backup logs Example: 180d Allow Null: False |
|
| durationSet.security | string | Duration of security check data Example: 90d Allow Null: False |
|
| durationSet.keyevent | string | Duration of the Event RP Example: 14d Allow Null: False |
|
| durationSet.tracing | string | Duration of tracing Example: 7d Allow Null: False |
|
| durationSet.rum | string | Duration of RUM Example: 7d Allow Null: False |
|
| durationSet.apm | string | Duration of APM (valid when indices are merged) Example: 7d Allow Null: False |
|
| durationSet.network | string | Duration of network data (valid when indices are merged) Example: 7d Allow Null: False |
|
| ownerUuid | string | Y | Workspace owner Allow Empty String: False Example: uuid-001 |
| language | string | Language information Allow Null: True Allow Empty String: True Allowed values: ['zh', 'en', 'zh-hant', 'id', 'ja', 'ko'] |
|
| enableRumMultipleTable | integer | Whether to enable RUM multi-table (i.e., table splitting), defaults to 1 Allow Null: True Allowed values: [0, 1] |